<?php
	add_shortcode('list', 'list_handler');
	add_shortcode('item', 'list_handler');

	function list_handler($atts, $content=null, $code="") {
		if($code == "item") {
			return '<li>'.$content.'</li>';
		} elseif($code == "list") {
			if($atts['style'] == 'dotted') {
				$content = '<ul class="list-dotted">'.$content.'</ul>';
			} elseif($atts['style'] == "circle") {
				$content = '<ul class="list-circle">'.$content.'</ul>';
			} elseif($atts['style'] == "checkmark") {
				$content = '<ul class="list-checkmark">'.$content.'</ul>';
			} elseif($atts['style'] == "cross") {
				$content = '<ul class="list-cross">'.$content.'</ul>';
			} elseif($atts['style'] == "checkmark") {
				$content = '<ul class="checkmark">'.$content.'</ul>';			
			} elseif($atts['style'] == "cross") {
				$content = '<ul class="cross">'.$content.'</ul>';
			} else {
				$content = '<ul>'.$content.'</ul>';
			}
		}
		$content = do_shortcode($content);
		$content = remove_br($content);
		return $content;
	}
	
?>